SQ(1)

NAME
sq-packet-armor - Convert binary to ASCII

SYNOPSIS
sq packet armor [OPTIONS] FILE

DESCRIPTION
Convert binary to ASCII.

To make encrypted data easier to handle and transport, OpenPGP data can be transformed to an ASCII representation called ASCII Armor. sq emits armored data by default, but this subcommand can be used to convert existing OpenPGP data to its ASCII-encoded representation.

The converse operation is `sq packet dearmor`.

OPTIONS

  Subcommand options

--label=LABEL
    Select the kind of armor header

    [default: auto]

    [possible values: auto, message, cert, key, sig, file]

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Convert a binary OpenPGP message to an ASCII armored OpenPGP message.

    sq packet armor message.bin

Convert a binary OpenPGP message to an ASCII armored OpenPGP message explicitly choosing the armor label.

    sq packet armor --label=message message.bin

SEE ALSO
sq(1), sq-packet(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1